## babel 0.2-3

=== DESCRIPTION ===
Package: babel
Version: 0.2-3
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <olshena@biostat.ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Repository: CRAN
Repository/R-Forge/Project: abo
Repository/R-Forge/Revision: 528
Repository/R-Forge/DateTimeStamp: 2013-12-03 19:48:17
Date/Publication: 2013-12-04 07:41:13
Packaged: 2013-12-03 23:24:37 UTC; rforge
NeedsCompilation: no

## babel 0.2-4

=== DESCRIPTION ===
Package: babel
Version: 0.2-4
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <olshena@biostat.ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Repository: CRAN
Repository/R-Forge/Project: abo
Repository/R-Forge/Revision: 540
Repository/R-Forge/DateTimeStamp: 2013-12-19 21:01:25
Date/Publication: 2013-12-20 07:37:19
Packaged: 2013-12-19 23:43:27 UTC; rforge
NeedsCompilation: no

## babel 0.2-5

=== DESCRIPTION ===
Package: babel
Version: 0.2-5
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <olshena@biostat.ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Repository: CRAN
Repository/R-Forge/Project: abo
Repository/R-Forge/Revision: 541
Repository/R-Forge/DateTimeStamp: 2014-01-08 23:59:38
Date/Publication: 2014-01-13 21:13:21
Packaged: 2014-01-09 03:40:56 UTC; rforge
NeedsCompilation: no

## babel 0.2-6

=== DESCRIPTION ===
Package: babel
Version: 0.2-6
Title: Ribosome profiling data analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <adam.olshen@ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Implements babel routines for identifying unusual ribosome protected fragment counts given mRNA counts
License: LGPL (>= 2.1)
Packaged: 2014-06-12 23:52:08 UTC; olshena
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-06-14 00:18:16

## babel 0.3-0

=== DESCRIPTION ===
Package: babel
Version: 0.3-0
Title: Ribosome Profiling Data Analysis
Author: Adam B. Olshen, Richard A. Olshen, Barry S. Taylor
Maintainer: Adam B. Olshen <adam.olshen@ucsf.edu>
Depends: R (>= 2.14.0), edgeR
Imports: parallel
Suggests: R.rsp, R.devices, R.utils
VignetteBuilder: R.rsp
Description: Included here are babel routines for identifying unusual ribosome protected fragment counts given mRNA counts.
License: LGPL (>= 2.1)
NeedsCompilation: no
Packaged: 2016-06-22 23:30:16 UTC; olshena
Repository: CRAN
Date/Publication: 2016-06-23 09:05:13

## babel 0.10.2

=== libC/Makefile ===
include ../settings.make

# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
IMPLOBJS=${IMPLSRCS:.c=.lo}
SKELOBJS=${SKELSRCS:.c=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.c=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}

all: libcconway.la

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	${BABEL} --server=C ../life.sidl clife.sidl && \
	touch babel-stamp
	${MAKE} all

libcconway.la: babel-stamp  ${ALLOBJS}
	${BABEL_LIBTOOL} --mode=link ${CXX} -module -no-undefined -o libcconway.la -rpath `pwd`/.libs -release 2.0 ${ALLOBJS} ${CLIBS}  -L${BABEL_LIBDIR} -lsidl

clean:
	$(RM) babel-stamp ${ALLOBJS} libcconway.so *~ *.lo *.o *.la
	$(RM) -rf .libs

new:	clean
	$(RM) ${SKELSRCS} ${SKELHDRS} ${IORSRCS} ${IORHDRS} ${STUBSRCS} ${STUBHDRS}

=== libCxx/Makefile ===
include ../settings.make

# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
IMPLOBJS=${IMPLSRCS:.cc=.lo}
SKELOBJS=${SKELSRCS:.cc=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.cc=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}

all: libcxxconway.la

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	${BABEL} --server=C++  ../life.sidl cxxlife.sidl && \
	touch babel-stamp
	$(MAKE) all

libcxxconway.la: babel-stamp  ${ALLOBJS}
	${BABEL_LIBTOOL} --mode=link ${CXX} -module -no-undefined -o libcxxconway.la -rpath `pwd`/.libs -release 2.0 ${ALLOBJS} ${CXXLIBS} -L${BABEL_LIBDIR} -lsidl

clean:
	$(RM) babel-stamp ${ALLOBJS} *.so *~ *.lo *.o *.la
	$(RM) -rf .libs

new:	clean
	$(RM) ${SKELSRCS} ${IORSRCS} ${STUBSRCS} ${SKELHDRS} ${IORHDRS} ${STUBHDRS}

=== libF90/Makefile ===
include ../settings.make
include babel.make

# Babel generates this babel.make file to define
# macros for all the files that are generated
ARRAYMODULEOBJS=${ARRAYMODULESRCS:.F90=.lo}
IMPLMODULEOBJS=${IMPLMODULESRCS:.F90=.lo}
IMPLOBJS=${IMPLSRCS:.F90=.lo}
SKELOBJS=${SKELSRCS:.c=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.c=.lo}
STUBMODULEOBJS=${STUBMODULESRCS:.F90=.lo}
TYPEMODULEOBJS=${TYPEMODULESRCS:.F90=.lo}

ALLOBJS=$(STUBOBJS) $(TYPEMODULEOBJS) \
                          $(ARRAYMODULEOBJS) \
                          $(STUBMODULEOBJS) $(SKELOBJS) \
                          $(IOROBJS) $(IMPLOBJS) $(IMPLMODULEOBJS)

ifeq ($(BABEL_WITH_F90),1)
all: libf90conway.la
else
all:
endif

# boilerplate dependencies to get things built
# in the correct order
$(ARRAYMODULEOBJS) : $(TYPEMODULEOBJS)
$(STUBMODULEOBJS): $(TYPEMODULEOBJS) $(ARRAYMODULEOBJS)
$(IMPLOBJS) : $(STUBMODULEOBJS) $(IMPLMODULEOBJS)


# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	${BABEL} --server=F90  ../life.sidl f90life.sidl && \
	touch babel-stamp
	$(MAKE) all

libf90conway.la: babel-stamp ${ALLOBJS}
	${BABEL_LIBTOOL} --mode=link ${CXX} -module -no-undefined -o libf90conway.la -rpath `pwd`/.libs -release 2.0 ${ALLOBJS} ${FCLIBS} -L${BABEL_LIBDIR}  -lsidl 

clean:
	${RM} babel-stamp ${ALLOBJS} *~ *.o *.lo *.la *.so
	${RM} -rf .libs

new:	clean
	${RM} $(STUBSRCS) $(TYPEMODULESRCS) \
                          $(ARRAYMODULESRCS) \
                          $(STUBMODULESRCS) $(SKELSRCS) \
                          $(IORSRCS) *.mod *.h

=== libPython/Makefile ===

# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
include ../settings.make

IMPLOBJS=${IMPLSRCS:.cc=.lo}
SKELOBJS=${SKELSRCS:.cc=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.cc=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}
ALLSIDL=../life.sidl pythonlife.sidl

all: libpythonconway.la python-stamp

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl pythonlife.sidl
	${BABEL} --server=python $(ALLSIDL)  && \
	touch babel-stamp
	${MAKE}

python-stamp: babel-stamp 
	${PYTHON} setup.py 						\
	  --include-dirs=${BABEL_INCLDIR} 				\
	  --include-dirs=${BABEL_PYEXTENSION_INCLDIR}			\
	  --include-dirs=.						\
	  --library-dirs=${BABEL_LIBDIR}				\
	  --library-dirs=${BABEL_PYEXTENSION_LIBDIR}			\
	  build_ext --inplace --force && \
	touch python-stamp

libpythonconway.la: babel-stamp $(ALLOBJS)
	${BABEL_LIBTOOL} --mode=link $(CC) -module -no-undefined -o libpythonconway.la -rpath `pwd`/.libs -release 2.0 $(ALLOBJS) -L$(PYTHON_SHARED_LIBRARY_DIR) -lpython$(PYTHON_VERSION) -L$(BABEL_LIBDIR) -lsidl

clean:
	${RM} babel-stamp python-stamp ${ALLOBJS} libpythonconway.so *~
	${RM} `find . \( -name '*.so' -o -name '*.o' -o -name '*.lo' \) -print`

new: clean
	${RM} ${IORHDRS} ${IORSRCS} ${PYMOD_HDRS}
	${RM} -r build conway f90 cxx c

=== runC/Makefile ===
#
# A "simple" Makefile to compile a C driver for the Conway Life Example
#
#

# this Makefiles uses GNU make extensions
include ../settings.make	# get config settings
include babel.make		# get files generated by Babel
STUBOBJS=$(STUBSRCS:.c=.lo)	# libtool objects
ALLOBJS=$(STUBOBJS)		# all libtool objects
ALLSTATICS=$(STUBSRCS:.c=.lo)	# .lo is used for statically linked objects
ifeq ($(BABEL_WITH_F90),1)
SIDLFILES=../life.sidl ../libC/clife.sidl ../libCxx/cxxlife.sidl \
	../libF90/f90life.sidl
ALLLIBS= -L../libC -lcconway -L../libCxx -lcxxconvery -L../libF90 -lf90conway
else
SIDLFILES=../life.sidl ../libC/clife.sidl ../libCxx/cxxlife.sidl
ALLLIBS= -L../libC -lcconway -L../libCxx -lcxxconvery
endif


all : my_driver			#statically linked executable

babel-stamp: $(SIDLFILES)
	$(BABEL) --client=C $(SIDLFILES) && \
	touch babel-stamp
	$(MAKE) all

# Note: we use GNU libtool in a peculiar way, actually installing it
# with the rest of Babel as ... babel-libtool

my_driver: babel-stamp $(ALLOBJS) my_driver.lo
	$(BABEL_LIBTOOL) --mode=link $(CXX) \
	-all-static -no-install -no-undefined \
	-o my_driver my_driver.lo $(ALLOBJS) \
	$(ALLLIBS) -L$(BABEL_LIBDIR) -lsidl $(CLIBS)

clean:
	$(RM) *.o *.lo

# source files are generated, so its okay to remove most
# but not IMPLs!

new:
	$(RM) my_driver babel-stamp $(STUBHDRS) $(STUBSRCS) \
	$(IORHDRS) $(IORSRCS) $(SKELHDRS) $(SKELSRCS)

=== runPython/Makefile ===

# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
include ../settings.make

IMPLOBJS=${IMPLSRCS:.cc=.lo}
SKELOBJS=${SKELSRCS:.cc=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.cc=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}
ifeq ($(BABEL_WITH_F90),1)
ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libF90/f90life.sidl ../libC/clife.sidl
else
ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libC/clife.sidl
endif

all: python-stamp 

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	${BABEL} --client=python $(ALLSIDL)  && \
	touch babel-stamp
	${MAKE}

python-stamp: babel-stamp 
	${PYTHON} setup.py 						\
	  --include-dirs=${BABEL_INCLDIR} 				\
	  --include-dirs=${BABEL_PYEXTENSION_INCLDIR}			\
	  --include-dirs=.						\
	  --library-dirs=${BABEL_LIBDIR}				\
	  --library-dirs=${BABEL_PYEXTENSION_LIBDIR}			\
	  build_ext --inplace --force && \
	touch python-stamp

clean:
	${RM} babel-stamp python-stamp ${ALLOBJS} libconway.so *~
	${RM} `find . -name '*.so' -o -name '*.o' -print`

new: clean
	${RM} ${IORHDRS} ${IORSRCS} ${PYMOD_HDRS}
	${RM} -r build conway f90 cxx c

py: python-stamp
	PYTHONPATH=${BABEL_PYEXTENSION_LIBDIR}				\
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${BABEL_LIBDIR} 		\
	sidl_DEBUG_DLOPEN=1						\
	SIDL_DLL_PATH='${BABEL_LIBDIR}/libsidl.scl;${TOPDIR}/libdemo.scl' $(PYTHON) $(MYSCRIPT)

## babel 1.2.0.dfsg

=== doc/babel101/hello/Makefile ===
.c.o:
	gcc -I$(HOME)/babel/include -Ilib -c $<

include babel.make
OBJS = hello.o ${STUBSRCS:.c=.o}

hello: ${OBJS}
	gcc ${OBJS} -o $@ \
	  -Rlib -Llib -lhello \
	  -R$(HOME)/babel/lib -L$(HOME)/babel/lib -lsidl

clean:
	${RM} *.o hello

=== doc/babel101/hello/lib/Makefile ===
.cc.o:
	g++ -fPIC -I$(HOME)/babel/include -c $<
.c.o:
	gcc -fPIC -I$(HOME)/babel/include -c $<

include babel.make
OBJS = ${IMPLSRCS:.cc=.o} ${IORSRCS:.c=.o} \
       ${SKELSRCS:.cc=.o} ${STUBSRCS:.cc=.o}

libhello.so: ${OBJS}
	g++ -shared -o $@ ${OBJS}

clean:
	${RM} *.o libhello.so

## babel 1.4.0.dfsg

=== Makefile ===
# This is an example Makefile for compiling server side Java bindings.
# Some values need to be filled in, but, with minimal modification, this
# makefile should build Babel server side bindings for you.  However, Do not 
# forget to also define your Babel environment variables before running
# Babelized Java code.
#
# THE VARIABLES JAVA_HOME AND BABEL_BUILD_DIR MUST BE FILLED IN!
#
# This file was originally written by Susan Knoop, and then 
# updated by Niji Shi.  Comments and Java binding written by Jim Leek. 


JAVA_HOME = #where ever java is installed, on my machine: /usr/java/j2sdk1.4.2_01/
JNI_INCLUDES = -I$(JAVA_HOME)/include/ -I$(JAVA_HOME)/include/linux
JAVA_LIBS = -L$(JAVA_HOME)/jre/lib/i386
BABEL_BUILD_DIR = #Babel build directory, on my machine: /home/leek2/babel/vpath
SIDL_LIBS = $(BABEL_BUILD_DIR)/runtime/java
LOADER_OPTS = -Wl,-rpath -Wl,$(JAVA_LIBS) -Wl,-rpath -Wl,$(JAVA_LIBS)/client

include babel.make

SRCS = $(IORSRCS) $(SKELSRCS) $(STUBSRCS)

OBJS = $(IORSRCS:.c=.lo) $(SKELSRCS:.c=.lo) $(STUBSRCS:.c=.lo)

all : libImpl.la .java.class


libImpl.la : $(OBJS)
	babel-libtool --mode=link gcc -O $(SKELSRCS) -o libImpl.la -no-undefined -rpath `pwd` -release `babel-config --version` -no-undefined $(OBJS) $(JNI_INCLUDES) -I$(BABEL_HOME)/include $(JAVA_LIBS) $(LOADER_OPTS) -L$(BABEL_HOME)/lib -lsidl -lpthread -ljava


$(SRCS): babel-stamp


babel-stamp : ../rmi.sidl
	babel --server=Java ../rmi.sidl
	rm -f libImpl.scl
	echo "<?xml version=\"1.0\" ?>" > libImpl.scl
	echo "<library uri=\""`pwd`"/libImpl.la\" scope=\"local\" resolution=\"lazy\" >" >> libImpl.scl
	grep  __set_epv $(IORSRCS) /dev/null | awk 'BEGIN {FS=":"} { print $$1}' | sort -u | sed -e 's/_IOR.c//g' -e 's/_/./g' | awk ' { printf "  <class name=\"%s\" desc=\"ior/impl\" />\n", $$1 }' >> libImpl.scl
	echo "</library>" >> libImpl.scl
	echo "Bogus file since make doesn't understand generating multiple files " > babel-stamp

.SUFFIXES: .c .lo .java .class 

.c.lo:
	babel-libtool --mode=compile gcc -I$(BABEL_HOME)/include $(JNI_INCLUDES) -g -c -o $*.o -fPIC -DPIC $< 


.java.class:
	javac -classpath $(SIDL_LIBS)/sidl-0.9.7.jar sidl/*.java && javac -classpath ./:$(SIDL_LIBS)/sidl-0.9.7.jar rmi/*.java

clean:
	$(RM) *.lo  *.class *.la *.o rmi/*.class sidl/*.class

realclean: clean
	$(RM)  babel-stamp *.scl

=== bos/Makefile ===
PORTID=9999
IP=127.0.0.1

ALLLIBS=${CXXLIBS} ${CLIBS} -L${BABEL_LIBDIR} -lsidlx -lsidl

include ../settings.make

all: bos_server


help:
	@echo "After make, run bos_server [port]"
	@echo "(The Hello World program looks for port 9999 on localhost)"
	@echo "Don't forget to set your SIDL_DLL_PATH to the include"
	@echo "libsidl.scl, libsidlx.scl, and libhello.so (if you're going"
	@echo "to run the Wello World test!)"

bos_server: bos_server.lo
	${BABEL_LIBTOOL} --mode=link ${CXX} -o bos_server bos_server.o ${ALLLIBS}

clean:
	rm *.o
	rm *.lo
	rm bos_server

=== hello/Makefile ===

include babel.make
SIDLFILES = hello.sidl
TESTDRIVERS = test1 test2

# Babel generates this babel.make file to define
# macros for all the files that are generated
ALLSRCS = $(HANDSRCS) $(HANDHDRS) $(IMPLSRCS) $(IMPLHDRS) $(SKELSRCS) \
	$(IORSRCS) $(IORHDRS) $(STUBSRCS) $(STUBHDRS) \
	$(x_IORHDRS) $(x_STUBHDRS) $(x_STUBSRCS)

HANDOBJS = $(HANDSRCS:.c=.lo) 
IMPLOBJS = $(IMPLSRCS:.c=.lo) 
SKELOBJS = $(SKELSRCS:.c=.lo) 
IOROBJS = $(IORSRCS:.c=.lo) 
STUBOBJS = $(STUBSRCS:.c=.lo) $(x_STUBSRCS:.c=.lo)
ALLOBJS = $(HANDOBJS) $(IMPLOBJS) $(SKELOBJS) $(IOROBJS) $(STUBOBJS) 

all :  $(TESTDRIVERS)

help:
	@echo "test1 runs hello world locally"
	@echo "test2 looks for a bos running on localhost:9999."
	@echo "Be sure to run an orb in a different terminal on port 9999 before"
	@echo "you run test2, or you'll get a connect error!"

libhello.la : $(ALLOBJS)
	$(BABEL_LIBTOOL) --mode=link $(CC) -o libhello.la  -no-undefined -rpath `pwd` -release 2.0 -no-install $(ALLOBJS) $(CLIBS) $(BABEL_LIBDIR)/libsidl.la

test1 : libhello.la test1.o
	$(BABEL_LIBTOOL) --mode=link $(CC) -o test1 test1.o  -no-install libhello.la $(BABEL_LIBDIR)/libsidl.la

test2 : libhello.la test2.o
	$(BABEL_LIBTOOL) --mode=link $(CC) -o test2 test2.o -no-install libhello.la $(BABEL_LIBDIR)/libsidl.la -L${BABEL_LIBDIR} -lsidlx -lsidl

clean:
	$(RM) babel-stamp $(ALLOBJS) *.so *~ *.lo *.o *.la
	$(RM) -rf .libs

new:    clean 
	$(RM)  $(SKELSRCS) $(IORSRCS) $(IORHDRS) $(STUBSRCS) $(STUBHDRS) $(TESTDRIVERS) $(x_STUBHDRS) $(x_STUBSRCS) $(x_IORHDRS)

# make doesn't handle tasks that generate lots of files
# this handy idiom creates a bogus file dated before babel
# outputs only iff babel ran to completion.
babel-stamp: $(SIDLFILES)
	@rm -f babel-temp
	@touch babel-temp
	$(BABEL) --server=C  $(SIDLFILES)
	sed -e s%@DIR@%`pwd`%g hello.scl.in > hello.scl
	@mv -f babel-temp $@

$(ALLSRCS) : babel-stamp
	@if test -f $@; then\
	  touch $@;\
	else \
	  $(MAKE) babel-stamp; \
	fi 

include ../settings.make

=== libC/Makefile ===
# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
IMPLOBJS=${IMPLSRCS:.c=.lo}
SKELOBJS=${SKELSRCS:.c=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.c=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}

all: libcconway.la

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	@rm -f babel-temp
	@touch babel-temp
	babel --server=C ../life.sidl clife.sidl 
	@mv -f babel-temp $@

${SKELSRCS} ${SKELHDRS} ${IORSRCS} ${IORHDRS} ${STUBSRCS} ${STUBHDRS} : babel-stamp
	@if test -f $@; then \
	   touch $@; \
	else \
	  rm -f babel-stamp; \
	  $(MAKE) $(MAKEFLAGS) babel-stamp; \
	fi

libcconway.la: babel-stamp  ${ALLOBJS}
	babel-cc -g -o libcconway.la --installdir=`pwd`/.libs --release=1.0 ${ALLOBJS} 

clean:
	$(RM) babel-stamp ${ALLOBJS} libcconway.so *~ *.lo *.o *.la
	$(RM) -rf .libs

new:	clean
	$(RM) ${SKELSRCS} ${SKELHDRS} ${IORSRCS} ${IORHDRS} ${STUBSRCS} ${STUBHDRS}

.SUFFIXES:
.SUFFIXES: .c .lo .o

.c.lo:
	babel-cc -g -c ${CFLAGS} $<

=== libCxx/Makefile ===
# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
IMPLOBJS=${IMPLSRCS:.cxx=.lo}
SKELOBJS=${SKELSRCS:.cxx=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.cxx=.lo}
ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}

all: libcxxconway.la

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl
	@rm -f babel-temp
	@touch babel-temp
	babel --server=C++ ../life.sidl cxxlife.sidl
	@mv -f babel-temp $@

${SKELSRCS} ${IORSRCS} ${STUBSRCS} ${SKELHDRS} ${IORHDRS} ${STUBHDRS} : babel-stamp
	@if test -f $@; then \
	  touch $@; \
	else \
	  rm -f babel-stamp; \
	  $(MAKE) $(MAKEFLAGS) babel-stamp; \
	fi

libcxxconway.la: babel-stamp  ${ALLOBJS}
	babel-cxx -g -o libcxxconway.la --installdir=`pwd`/.libs --release=1.0 ${ALLOBJS}

clean:
	$(RM) babel-stamp ${ALLOBJS} *.so *~ *.lo *.o *.la
	$(RM) -rf .libs

new:	clean
	$(RM) ${SKELSRCS} ${IORSRCS} ${STUBSRCS} ${SKELHDRS} ${IORHDRS} ${STUBHDRS} 


.SUFFIXES:
.SUFFIXES: .c .cxx .lo .o

.c.lo:
	babel-cc -g -c $<

.cxx.lo:
	babel-cxx -g -c $<

=== libF90/Makefile ===
include babel.make

# Babel generates this babel.make file to define
# macros for all the files that are generated
ARRAYMODULEOBJS=${ARRAYMODULESRCS:.F90=.lo}
IMPLMODULEOBJS=${IMPLMODULESRCS:.F90=.lo}
IMPLOBJS=${IMPLSRCS:.F90=.lo}
SKELOBJS=${SKELSRCS:.c=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.c=.lo}
STUBMODULEOBJS=${STUBMODULESRCS:.F90=.lo}
TYPEMODULEOBJS=${TYPEMODULESRCS:.F90=.lo}

ALLOBJS=${STUBOBJS} ${TYPEMODULEOBJS} \
                          ${ARRAYMODULEOBJS} \
                          ${STUBMODULEOBJS} ${SKELOBJS} \
                          ${IOROBJS} ${IMPLOBJS} ${IMPLMODULEOBJS}

ALLSRCS=${STUBSRCS} ${TYPEMODULESRCS} ${ARRAYMODULESRCS} \
	${STUBMODULESRCS} ${SKELSRCS} ${IORSRCS} ${IMPLSRCS} ${IMPLMODULESRCS}

all: libf90conway.la

# boilerplate dependencies to get things built
# in the correct order
${ARRAYMODULEOBJS} : ${TYPEMODULEOBJS}
${STUBMODULEOBJS}: ${TYPEMODULEOBJS} ${ARRAYMODULEOBJS}
${IMPLOBJS} : ${STUBMODULEOBJS} ${IMPLMODULEOBJS}


# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl f90life.sidl 
	@rm -f babel-temp
	@touch babel-temp
	babel --server=F90 ../life.sidl f90life.sidl 
	@mv -f babel-temp $@

${ALLSRCS} : babel-stamp 
	@if test -f $@; then \
	  touch $@; \
	else \
	  rm -f babel-stamp; \
	  ${MAKE} ${MAKEFLAGS} babel-stamp; \
	fi

libf90conway.la: babel-stamp ${ALLOBJS}
	babel-f90 -g -o libf90conway.la --installdir=`pwd`/.libs --release=1.0  ${ALLOBJS} 

clean:
	${RM} ${ALLOBJS} *~ *.o *.lo *.la *.so *.tmp *.f90 
	${RM} -rf .libs

new:	clean
	${RM} ${STUBSRCS} ${TYPEMODULESRCS} \
                          ${ARRAYMODULESRCS} \
                          ${STUBMODULESRCS} ${SKELSRCS} \
                          ${IORSRCS} *.mod *.h


.SUFFIXES:
.SUFFIXES: .c .F90 .lo .o

.c.lo:
	babel-cc -g -c --with-f90 $<

.F90.lo:
	babel-f90 -g -c $<

=== libPython/Makefile ===

# Babel generates this babel.make file to define
# macros for all the files that are generated
include babel.make
include ../settings.make

LAUNCHOBJS=${LAUNCHSRCS:.c=.lo}
IMPLOBJS=${IMPLSRCS:.c=.lo}
SKELOBJS=${SKELSRCS:.c=.lo}
IOROBJS=${IORSRCS:.c=.lo}
STUBOBJS=${STUBSRCS:.c=.lo}
LAUNCHLIBOBJS=${IOROBJS} ${LAUNCHOBJS}
IMPLLIBOBJS=${SKELOBJS}
# ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}
ALLSIDL=../life.sidl pythonlife.sidl
CPPFLAGS=-I$(BABEL_PYEXTENSION_INCLDIR) -I`python -c "import sys; print sys.prefix + '/include/python' + str(sys.version_info[0]) + '.' + str(sys.version_info[1])"`

all: libpythonconway.la libpythonconwaypy.la python-stamp

# make doesn't handle tasks that generate lots of files
# this handy idiom creates touches a bogus file if babel
# executes without errors
babel-stamp: ../life.sidl pythonlife.sidl
	${BABEL} --server=python $(ALLSIDL)  && \
	touch babel-stamp
	${MAKE}

python-stamp: babel-stamp 
	${PYTHON} setup.py 						\
	  --include-dirs=${BABEL_INCLDIR} 				\
	  --include-dirs=${BABEL_PYEXTENSION_INCLDIR}			\
	  --include-dirs=.						\
	  --library-dirs=${BABEL_LIBDIR}				\
	  --library-dirs=${BABEL_PYEXTENSION_LIBDIR}			\
	  build_ext --inplace --force && \
	touch python-stamp

libpythonconway.la: babel-stamp $(LAUNCHLIBOBJS)
	${BABEL_LIBTOOL} --mode=link $(CC) -module -no-undefined -o libpythonconway.la -rpath `pwd`/.libs -release 2.0 $(LAUNCHLIBOBJS) -L$(PYTHON_SHARED_LIBRARY_DIR) -lpython$(PYTHON_VERSION) -L$(BABEL_LIBDIR) -rpath $(BABEL_LIBDIR) -lsidl

libpythonconwaypy.la: babel-stamp $(IMPLLIBOBJS)
	${BABEL_LIBTOOL} --mode=link $(CC) -module -no-undefined -o libpythonconwaypy.la -rpath `pwd`/.libs -release 2.0 $(IMPLLIBOBJS) -L$(PYTHON_SHARED_LIBRARY_DIR) -lpython$(PYTHON_VERSION) -L$(BABEL_LIBDIR) -rpath $(BABEL_LIBDIR) -lsidl

clean:
	${RM} babel-stamp python-stamp ${ALLOBJS} libpythonconway.so libpythonconwaypy.so *~
	${RM} `find . \( -name '*.so' -o -name '*.o' -o -name '*.lo' \) -print`

new: clean
	${RM} ${IORHDRS} ${IORSRCS} ${PYMOD_HDRS}
	${RM} -r build conway f90 cxx c

=== runC/Makefile ===
#
# A "simple" Makefile to compile a C driver for the Conway Life Example
#
#

# this Makefiles uses GNU make extensions
include babel.make		# get files generated by Babel
STUBOBJS=$(STUBSRCS:.c=.lo)	# libtool objects
ALLOBJS=$(STUBSRCS:.c=.lo)	# all libtool objects
ALLSOBJS=$(STUBSRCS:.c=.o)	# all raw objects
ALLSTATICS=$(STUBSRCS:.c=.lo)	# .lo is used for statically linked objects
ALLSRCS=$(STUBSRCS)
#ifeq ($(BABEL_WITH_F90),1)
#SIDLFILES=../life.sidl ../libC/clife.sidl ../libCxx/cxxlife.sidl \
#	../libF90/f90life.sidl
#ALLLIBS= ../libC/libcconway.la ../libCxx/libcxxconway.la ../libF90/libf90conway.la
#else
SIDLFILES=../life.sidl ../libC/clife.sidl ../libCxx/cxxlife.sidl ../libF90/f90life.sidl
ALLLIBS= ../libC/libcconway.la ../libCxx/libcxxconway.la ../libF90/libf90conway.la 
#endif


all : my_driver	rmi_driver		#statically linked executable

babel-stamp: $(SIDLFILES)
	@rm -f babel-temp
	@touch babel-temp
	babel --client=C $(SIDLFILES)
	@mv -f babel-temp $@

$(ALLSRCS) : babel-stamp
	if test -f $@; then \
	  touch $@; \
	else \
	  rm -f babel-stamp; \
	  $(MAKE) $(MAKEFLAGS) babel-stamp; \
	fi

# Note: we use GNU libtool in a peculiar way, actually installing it
# with the rest of Babel as ... babel-libtool

my_driver : babel-stamp $(ALLOBJS) my_driver.lo 
	babel-cxx -g -o my_driver --with-f90 -static $(ALLSOBJS) my_driver.o ../libC/libcconway.la ../libCxx/libcxxconway.la  ../libF90/libf90conway.la 

rmi_driver : babel-stamp $(ALLOBJS) rmi_driver.lo 
	babel-cc -o rmi_driver -lsidlx $(ALLOBJS) rmi_driver.lo 

clean: new
	$(RM) *.o *.lo

# source files are generated, so its okay to remove most
# but not IMPLs!

new:
	$(RM) my_driver rmi_driver babel-stamp $(STUBHDRS) $(STUBSRCS) \
	$(IORHDRS) $(IORSRCS) $(SKELHDRS) $(SKELSRCS)

.SUFFIXES:
.SUFFIXES: .c .cxx .lo .o

.c.lo:
	babel-cc -g -c --with-f90 ${CFLAGS} $< 

.cxx.lo:
	babel-cxx -g -c ${CXXFLAGS} $<

=== runGUI/Makefile ===
# This block sets variables about where Babel stuff
# is located.  One could use babel-config to query this info
include ../settings.make

all: 
	$(MAKE) MYSCRIPT=Life.py py

py: 
	PYTHONPATH=${BABEL_PYEXTENSION_LIBDIR}:../runPython		\
	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${BABEL_LIBDIR} 		\
	sidl_DEBUG_DLOPEN=1						\
	SIDL_DLL_PATH="${BABEL_LIBDIR}/libsidl.scl;${TOPDIR}/libdemo.scl" $(PYTHON) $(MYSCRIPT)

=== runPython/Makefile ===
--- 
+++ 
@@ -9,11 +9,11 @@
 IOROBJS=${IORSRCS:.c=.lo}
 STUBOBJS=${STUBSRCS:.cc=.lo}
 ALLOBJS=${IMPLOBJS} ${SKELOBJS} ${IOROBJS} ${STUBOBJS}
-ifeq ($(BABEL_WITH_F90),1)
+#ifeq ($(BABEL_WITH_F90),1)
 ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libF90/f90life.sidl ../libC/clife.sidl
-else
-ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libC/clife.sidl
-endif
+#else
+#ALLSIDL=../life.sidl ../libCxx/cxxlife.sidl ../libC/clife.sidl
+#endif
 
 all: python-stamp 
 
@@ -29,6 +29,7 @@
 	${PYTHON} setup.py 						\
 	  --include-dirs=${BABEL_INCLDIR} 				\
 	  --include-dirs=${BABEL_PYEXTENSION_INCLDIR}			\
+	  --include-dirs=/home/kumfert/local/python/2.5.1/lib/python2.5/site-packages/numpy/core/include/numpy						\
 	  --include-dirs=.						\
 	  --library-dirs=${BABEL_LIBDIR}				\
 	  --library-dirs=${BABEL_PYEXTENSION_LIBDIR}			\
@@ -46,5 +47,5 @@
 py: python-stamp
 	PYTHONPATH=${BABEL_PYEXTENSION_LIBDIR}				\
 	LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${BABEL_LIBDIR} 		\
-	sidl_DEBUG_DLOPEN=1						\
-	SIDL_DLL_PATH='${BABEL_LIBDIR}/libsidl.scl;${TOPDIR}/libdemo.scl' $(PYTHON) $(MYSCRIPT)
+	SIDL_DEBUG_DLOPEN=1						\
+	SIDL_DLL_PATH='${BABEL_LIBDIR}/libsidl.scl;${BABEL_LIBDIR}/libsidlx.scl;${TOPDIR}/libdemo.scl' $(PYTHON) $(MYSCRIPT)

=== debian/changelog ===
babel (1.4.0.dfsg-8) unstable; urgency=low

  * Changed PYTHONINC variables for numpy package changes (closes: #590344).
  * Bumped Standards-Version.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 06 Aug 2010 17:31:03 -0400

babel (1.4.0.dfsg-7) unstable; urgency=low

  * More general python includes to support python 2.6 (thanks: Jakub Wilk,
    closes: #567302).
  * Patch to add -little to Fortran flags for sh4 (thanks: Nobuhiro Iwamatsu,
    closes: #561703).
  * Bumped Standards-Version.
  * Updated to source format 3.0 (quilt).
  * Added ${misc:Depends} to all binary package dependencies.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 31 Jan 2010 18:04:18 -0500

babel (1.4.0.dfsg-6) unstable; urgency=low

  * Changed gjdoc to gcj-jdk | gjdoc in Build-Depends (closes: #559986).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 11 Dec 2009 12:03:20 -0500

babel (1.4.0.dfsg-5) unstable; urgency=low

  * Include libtool in Build-Depends and libtoolize (closes: #559843).
  * Added README.source file.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 07 Dec 2009 18:29:06 -0500

babel (1.4.0.dfsg-4) unstable; urgency=low

  * Entered Dan Frazier's patch in patches/series (closes: #539063).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 03 Aug 2009 07:13:37 -0400

babel (1.4.0.dfsg-3) unstable; urgency=low

  * Added patch by Dann Frazier to fix a crash/FTBFS bug on some arches
    (closes: #539063).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 28 Jul 2009 23:56:36 -0400

babel (1.4.0.dfsg-2) unstable; urgency=low

  * Updated copyright to include runtime/java/sidl/Sfun.java .

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 26 Jul 2009 18:38:20 -0400

babel (1.4.0.dfsg-1) unstable; urgency=low

  * New upstream release (closes: #530536).
  * Includes lite version of Chasm from http://chasm-interop.sourceforge.net/ .
  * No longer provides parsifal shared lib; static lib moved to libsidl-dev.
  * Needed a kludge to get parsifal and chasmlite to install.
  * Renamed sidl shared libs package with hyphen (closes: #493229).
  * Newly formatted copyright file.
  * javajars.patch now excludes installation of omitted lib directory files.
  * Removed backslashes from dependencies (closes: #535283).
  * Updated debhelper Build-Depend versioning.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 20 Jul 2009 21:25:26 -0400

babel (1.2.0.dfsg-8) unstable; urgency=low

  * Patch from Peter Green to fix FTBFS (closes: #526532).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 25 May 2009 10:18:58 -0400

babel (1.2.0.dfsg-7) unstable; urgency=low

  * Using quilt now to manage patches.
  * Patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD (closes: #497898).
  * Changed python-babel package to python-sidl, with sidl.babel. namespace
    (closes: #493742).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 07 Dec 2008 08:41:28 +0900

babel (1.2.0.dfsg-6) unstable; urgency=low

  * Added libparsifal-dev as dependency to libsidl-dev (closes: #483324).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 01 Aug 2008 07:56:58 -0400

babel (1.2.0.dfsg-5) unstable; urgency=low

  * Fixed bashism in babel-f77 and replaced babel-libtool with libtool
    symlink (closes: #476758).
  * Fixed jar location error in babel script.
  * Fixed babel101 tutorial so Hello World works and the tutorial is correct.
  * Added Java flags and depends so it builds on Ubuntu Hardy.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 24 Jun 2008 12:01:58 -0400

babel (1.2.0.dfsg-4) unstable; urgency=low

  * Build for all supported python versions, thanks to patch by Matthias Klose
    (closes: #479878).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 21 May 2008 12:14:38 -0400

babel (1.2.0.dfsg-3) unstable; urgency=low

  * Patch from Chris Lamb (slightly modified by Clint Adams) supports use
    of dash as /bin/sh (closes: #476758).
  * Changed build-dep from java-gcj-compat-dev to default-jdk-builddep
    (closes: #477845).
  * Changed from python-numeric to python-numpy, all seems to work for now
    (closes: #478439).
  * Removed self-referencing link /usr/include/c in libsidl-dev, and added
    preinst removing it in case a previous install put it there.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 29 Apr 2008 21:34:00 -0400

babel (1.2.0.dfsg-2) unstable; urgency=low

  * Changed from python 2.4 to current (closes: #476236).
  * Filled out usr/include/[language] header trees.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 15 Apr 2008 23:07:46 -0400

babel (1.2.0.dfsg-1) unstable; urgency=low

  * Removed .jar files and manuals without source from tarball.
  * Closing same bugs as last time (closes: #464717, #328189, #342956,
    #385826, #349868, #309372 #308575).
  * Added python-central to Build-Depends, and dh_pycentral -a to rules,
    and other python information to control.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 01 Apr 2008 21:42:09 -0400

babel (1.2.0-1) unstable; urgency=low

  * Adopting formerly orphaned package (closes: #464717).
  * New upstream release (closes: #328189).
  * Removed explicit compiler version dependencies (closes: #342956, #385826).
  * New configure script works (closes: #349868).
  * Builds on amd64 (closes: #309372).
  * Build-depends on different java toolchain (closes: #308575).
  * Including /usr/bin/babel-* compiler wrappers in libsidl-dev package.
  * Documentation generated by javadoc works.
  * Includes new libparsifal XML parser.
  * Fortran 90 backend will need to wait for a chasm package.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 20 Feb 2008 15:26:48 -0500

babel (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Added kaffe-dev to Build-Depends (closes: #285487, #278788).
  * Added dh_python to rules, making everything but source lintian-clean.
  * Upgraded python version to 2.4 since upstream requires this.



=== debian/control ===
Source: babel
Section: devel
Priority: extra
Maintainer: "Adam C. Powell, IV" <hazelsct@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), gfortran, libltdl-dev, libtool,
  automake, autoconf, libxml2-dev, default-jdk-builddep | java-gcj-compat-dev,
  fastjar, gcj-jdk | gjdoc, libxerces2-java, libgetopt-java, libxalan2-java,
  python-all-dev, python-numpy, python-central
Build-Conflicts: libparsifal-dev
Build-Depends-Indep: libhtml-tree-perl
XS-Python-Version: all
Homepage: https://computation.llnl.gov/casc/components/babel.html

Package: babel-1.4.0
Architecture: all
Section: devel
Depends: java-gcj-compat | java1-runtime, libgetopt-java, libxerces2-java, libxalan2-java, ${misc:Depends}
Suggests: babel-1.4.0-doc
Provides: babel
Conflicts: openbabel, babel-0.10.2, babel-0.8.4, babel-0.8.2, babel-0.8.0
Description: Scientific Interface Definition Language (SIDL) compiler
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN, C, C++,
 Java and Python.

Package: libsidl1.4.0-java
Architecture: all
Section: java
Depends: java-gcj-compat | java1-runtime, ${misc:Depends}
Provides: libsidl-java
Conflicts: libsidl0.10.2-java, libsidl0.8.4-java, libsidl0.8.2-java, libsidl0.8.0-java
Description: Scientific Interface Definition Language (SIDL) Java runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the Java SIDL runtime library.

Package: python-sidl
Architecture: any
Section: python
Depends: python-numpy, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Scientific Interface Definition Language (SIDL) Python runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the Python runtime module.

Package: libsidl-dev
Architecture: any
Section: libdevel
Depends: libsidl-1.4.0 (= ${binary:Version}), libparsifal-dev, libtool, ${misc:Depends}
Provides: libparsifal-dev
Replaces: libparsifal-dev
Description: Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime devel
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the development files for the C, C++ and FORTRAN
 backends.

Package: libsidl-1.4.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scientific Interface Definition Language (SIDL) C(++)/FORTRAN runtime
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains the runtime libraries for the C and FORTRAN backends.

Package: babel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Scientific Interface Definition Language (SIDL) suite documentation
 Babel is a compiler for the Scientific Interface Definition Language (SIDL),
 currently under development as a support tool for parallel simulation codes.
 .
 SIDL is in the same "phylum" as CORBA or COM, but with an eye toward future
 extension to data redistribution on massively parallel architectures.  In
 addition, because of the large amount of existing and very important
 scientific code written in FORTRAN, SIDL is designed with support for that
 language in mind.
 .
 Babel is written in Java, and currently has backends for: FORTRAN 77, C, C++,
 Java and Python.
 .
 This package contains extensive documentation for babel.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=babel

stamp-configure:
	dh_testdir
	(cd runtime && libtoolize --force)
	(cd runtime && aclocal)
	(cd runtime && automake)
	(cd runtime && autoconf)
	libtoolize --force
	aclocal
	automake
	autoconf
	JNI_INCLUDES=-I/usr/lib/jvm/java-gcj/include \
	  PYTHON=python ./configure --prefix=/usr
	touch $@

PYVER := $(shell pyversions -vd)
PYOTHERS := $(filter-out $(PYVER), $(shell pyversions -vr))

build: stamp-build $(PYOTHERS:%=stamp-build-python%)
stamp-build: stamp-configure
	dh_testdir
	$(MAKE)
	touch $@

stamp-build-python%: stamp-build
	dh_testdir
	rm -f  runtime/python/babel-stamp
	$(MAKE) -C runtime python/babel-stamp \
	  PYTHON=python$* \
	  PYTHONINC="-I/usr/include/python$* -I/usr/include/python$*/numpy/" \
	  PYTHONLIB=/usr/lib/python$* \
	  PYTHON_SHARED_LIBRARY=/usr/lib/libpython$*.so \
	  PYTHON_VERSION=$* \
	  WHICH_PYTHON=/usr/bin/python$*
	rm -f  runtime/python/babel-stamp2
	$(MAKE) -C runtime python/babel-stamp2 \
	  PYTHON=python$* \
	  PYTHONINC="-I/usr/include/python$* -I/usr/include/python$*/numpy/" \
	  PYTHONLIB=/usr/lib/python$* \
	  PYTHON_SHARED_LIBRARY=/usr/lib/libpython$*.so \
	  PYTHON_VERSION=$* \
	  WHICH_PYTHON=/usr/bin/python$*
	touch $@

clean:
	dh_testdir
	if [ -e Makefile ]; then $(MAKE) distclean; fi
	rm -f lib/babel*.jar lib/sidl*.jar debian/babel140.1
# This is left by a quilt push/pop sequence
	rm -rf .pc
	rm -f stamp-configure stamp-build*
	dh_clean

install: build $(PYOTHERS:%=install-python%)
# Kludge to fix an unknown bug...
	cp -a runtime/libparsifal/src/.libs/libparsifal.la \
	  runtime/libparsifal/src/.libs/libparsifal.lai
	cp -a runtime/libchasmlite/.libs/libchasmlite.la \
	  runtime/libchasmlite/.libs/libchasmlite.lai
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv debian/tmp/usr/bin/babel debian/tmp/usr/bin/babel140
	mv debian/tmp/usr/share/doc/babel-1.4.0 debian/tmp/usr/share/doc/babel-doc
#	mv debian/tmp/usr/share/doc/babel-doc/babel101/hello/lib/Hello_World_Impl.cc debian/tmp/usr/share/doc/babel-doc/babel101/hello/lib/Hello_World_Impl.cxx
	mv debian/tmp/usr/lib/*.scl debian/tmp/usr/share/babel-1.4.0/
	mv debian/tmp/usr/share/sidl.sidl debian/tmp/usr/share/babel-1.4.0/
	mv debian/tmp/usr/share/sidlx.sidl debian/tmp/usr/share/babel-1.4.0/
	mv debian/tmp/usr/share/sgml debian/tmp/usr/share/babel-1.4.0/
	rm debian/tmp/usr/include/c
	mkdir debian/tmp/usr/include/c
	(cd debian/tmp/usr/include/c && ln -s ../*.h .)
	rm -f debian/tmp/usr/bin/babel-libtool
	ln -s libtool debian/tmp/usr/bin/babel-libtool

install-python%:
	$(MAKE) -C runtime install-data-am-python prefix=`pwd`/debian/tmp/usr \
	  PYTHON=python$* \
	  PYTHONINC="-I/usr/include/python$* -I$(wildcard /usr/lib/python$*/*-packages/numpy/core/include/numpy)" \
	  PYTHONLIB=/usr/lib/python$* \
	  PYTHON_SHARED_LIBRARY=/usr/lib/libpython$*.so \
	  PYTHON_VERSION=$* \
	  WHICH_PYTHON=/usr/bin/python$*

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_movefiles -i
	dh_installdocs -i
#	/usr/bin/perl debian/babel-manpage-script > debian/babel140.1
#	dh_installman -pbabel-1.4.0 debian/babel140.1
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
	dh_movefiles -a
	dh_installdocs -a
	dh_installman -plibsidl-dev debian/babel-config.1
	dh_installchangelogs -a
	dh_strip -a
	dh_makeshlibs -a
	dh_compress -a
	dh_pycentral -ppython-sidl
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
